From 9673cacf11a2bc54298d7b6d2a04aa914b19c350 Mon Sep 17 00:00:00 2001
From: Roberto Corno <corno.roberto@gmail.com>
Date: Thu, 9 Aug 2012 14:52:27 +0200
Subject: [PATCH] TS discontinuity check

---
 src/tables/rst.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/src/tables/rst.c b/src/tables/rst.c
index d0e7759..e5e0860 100644
--- a/src/tables/rst.c
+++ b/src/tables/rst.c
@@ -361,6 +361,13 @@ void dvbpsi_rst_sections_gather(dvbpsi_t *p_dvbpsi,
     dvbpsi_rst_decoder_t* p_rst_decoder
                           = (dvbpsi_rst_decoder_t*)p_dvbpsi->p_decoder;
 
+    /* TS discontinuity check */
+    if (p_rst_decoder->b_discontinuity)
+    {
+    	dvbpsi_rst_reset(p_rst_decoder, true);
+        p_rst_decoder->b_discontinuity = false;
+    }
+
     /* Add section to RST */
     if (!dvbpsi_rst_section_add(p_dvbpsi, p_rst_decoder, p_section))
     {
-- 
1.7.5.4
